OWLAPIOntology (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontowrap.owlapi10
Class OWLAPIOntology

    java.lang.Object
      fr.inrialpes.exmo.ontowrap.BasicOntology<org.semanticweb.owl.model.OWLOntology>
          fr.inrialpes.exmo.ontowrap.owlapi10.OWLAPIOntology

All Implemented Interfaces:
  HeavyLoadedOntology<org.semanticweb.owl.model.OWLOntology>, LoadedOntology<org.semanticweb.owl.model.OWLOntology>, Ontology<org.semanticweb.owl.model.OWLOntology>

    public class OWLAPIOntology

extends BasicOntology<org.semanticweb.owl.model.OWLOntology>
implements HeavyLoadedOntology<org.semanticweb.owl.model.OWLOntology>

Store the information regarding ontologies in a specific structure Acts as an interface with regard to an ontology APY

Field Summary
`private int` | `nbclasses`
`private int` | `nbdataproperties`
`private int` | `nbentities`
`private int` | `nbindividuals`
`private int` | `nbobjectproperties`
`private int` | `nbproperties`

Fields inherited from class fr.inrialpes.exmo.ontowrap.BasicOntology
`file, formalism, formalismURI, onto, uri`

Constructor Summary
`OWLAPIOntology()`

Method Summary
`protected Set<String>` | `getAnnotations(org.semanticweb.owl.model.OWLEntity e, String lang, String typeAnnot)`
`boolean` | `getCapabilities(int Direct, int Asserted, int Named)`
`Set<Object>` | `getCardinalityRestrictions(Object p)` returns emptyset in case of error (e.g., if p is a property)
`Set<?>` | `getClasses()`
`Set<Object>` | `getClasses(Object i, int local, int asserted, int named)`
`Set<?>` | `getDataProperties()`
`Set<Object>` | `getDataProperties(Object c, int local, int asserted, int named)`
`Set<Object>` | `getDomain(Object p, int asserted)`
`Set<?>` | `getEntities()` Returns all named entities having URI beginning with the ontology URI
`protected Set<?>` | `getEntities(Class<? extends org.semanticweb.owl.model.OWLEntity> c)`
`Object` | `getEntity(URI uri)`
`Set<String>` | `getEntityAnnotations(Object o)` Returns all the values of the "owl:AnnotationProperty" property for a given entity.
`Set<String>` | `getEntityAnnotations(Object o, String lang)` Returns all the values of the "owl:AnnotationProperty" property for a given entity expressed in the required language.
`Set<String>` | `getEntityComments(Object o)` Returns all the values of textual properties (e.g., "rdfs:comment", rdfs:label in RDFS/OWL) for a given entity
`Set<String>` | `getEntityComments(Object o, String lang)` Returns the values ofof textual properties (e.g., "rdfs:comment", rdfs:label in RDFS/OWL) for a given entity and for a given natural language (attribute xml:lang).
`String` | `getEntityName(Object o)` returns the default name of an entity if specified.
`String` | `getEntityName(Object o, String lang)` returns the default name of an entity in a language (attribute xml:lang) if specified.
`Set<String>` | `getEntityNames(Object o)` Returns all the names a given entity (e.g., rdfs:labels in OWL/RDFS).
`Set<String>` | `getEntityNames(Object o, String lang)` returns all the names of an entity in a language if specified.
`URI` | `getEntityURI(Object o)`
`Set<?>` | `getIndividuals()`
`private Set<Object>` | `getInheritedProperties(org.semanticweb.owl.model.OWLClass cl)` Inherits all properties of a class
`Set<Object>` | `getInstances(Object cl, int local, int asserted, int named)`
`Set<?>` | `getObjectProperties()`
`Set<Object>` | `getObjectProperties(Object c, int local, int asserted, int named)`
`org.semanticweb.owl.model.OWLOntology` | `getOntology()`
`Set<?>` | `getProperties()`
`Set<Object>` | `getProperties(Object cl, int local, int asserted, int named)`
`void` | `getProperties(org.semanticweb.owl.model.OWLClass cl, Set<Object> list)`
`void` | `getProperties(org.semanticweb.owl.model.OWLDescription desc, Set<Object> list)`
`void` | `getProperties(org.semanticweb.owl.model.OWLNaryBooleanDescription d, Set<Object> list)`
`void` | `getProperties(org.semanticweb.owl.model.OWLRestriction rest, Set<Object> list)`
`Set<Object>` | `getRange(Object p, int asserted)`
`Set<Object>` | `getSubClasses(Object cl, int local, int asserted, int named)`
`Set<Object>` | `getSubProperties(Object pr, int local, int asserted, int named)`
`Set<Object>` | `getSuperClasses(Object cl, int local, int asserted, int named)`
`Set<Object>` | `getSuperProperties(Object pr, int local, int asserted, int named)`
`boolean` | `isClass(Object o)`
`boolean` | `isDataProperty(Object o)`
`boolean` | `isEntity(Object o)`
`boolean` | `isIndividual(Object o)`
`boolean` | `isObjectProperty(Object o)`
`boolean` | `isProperty(Object o)`
`int` | `nbClasses()`
`int` | `nbDataProperties()`
`int` | `nbEntities()`
`int` | `nbIndividuals()`
`int` | `nbObjectProperties()`
`int` | `nbProperties()`
`void` | `setOntology(org.semanticweb.owl.model.OWLOntology o)`
`void` | `unload()`

Methods inherited from class fr.inrialpes.exmo.ontowrap.BasicOntology
`getFile, getFormalism, getFormURI, getFragmentAsLabel, getURI, setFile, setFormalism, setFormURI, setURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface fr.inrialpes.exmo.ontowrap.Ontology
`getFile, getFormalism, getFormURI, getURI, setFile, setFormalism, setFormURI, setURI`

Field Detail

### nbentities

    private int nbentities

### nbclasses

    private int nbclasses

### nbproperties

    private int nbproperties

### nbobjectproperties

    private int nbobjectproperties

### nbdataproperties

    private int nbdataproperties

### nbindividuals

    private int nbindividuals

Constructor Detail

### OWLAPIOntology

    public OWLAPIOntology()

Method Detail

### getOntology

    public org.semanticweb.owl.model.OWLOntology getOntology()

  Specified by:
    `getOntology` in interface `Ontology<org.semanticweb.owl.model.OWLOntology>`
  Overrides:
    `getOntology` in class `BasicOntology<org.semanticweb.owl.model.OWLOntology>`

### setOntology

    public void setOntology(org.semanticweb.owl.model.OWLOntology o)

  Specified by:
    `setOntology` in interface `Ontology<org.semanticweb.owl.model.OWLOntology>`
  Overrides:
    `setOntology` in class `BasicOntology<org.semanticweb.owl.model.OWLOntology>`

### getEntity

    public Object getEntity(URI uri)
                     throws OntowrapException

  Specified by:
    `getEntity` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`
  Throws:
    `OntowrapException`

### getEntityURI

    public URI getEntityURI(Object o)
                     throws OntowrapException

  Specified by:
    `getEntityURI` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`
  Throws:
    `OntowrapException`

### getEntityName

    public String getEntityName(Object o)
                         throws OntowrapException

  Description copied from interface: `LoadedOntology`
  returns the default name of an entity if specified. otherwise, returns one of its names (e.g., "rdfs:label" property values). Which name is returned is unspecified. In case no such official name is given to the entity it is possible to use the entity URI to return its fragment identifier (after the '#') or last fragment (after the last "/" or just before) in this order. Because of its low definiteness, it is not advised to use this primitive and it is better to use other ones (getNames, getComments, getAnnotations).

  Specified by:
    `getEntityName` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`
  Parameters:
    `o` - the entity
  Returns:
    a label
  Throws:
    `OntowrapException`

### getEntityName

    public String getEntityName(Object o,
                                String lang)
                         throws OntowrapException

  Description copied from interface: `LoadedOntology`
  returns the default name of an entity in a language (attribute xml:lang) if specified. Which name is returned is unspecified. otherwise, returns one of its names (e.g., "rdfs:label" property values) otherwise returns the default name (getEntityName) Because of its low definiteness, it is not advised to use this primitive and it is better to use other ones (getNames, getComments, getAnnotations).

  Specified by:
    `getEntityName` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`
  Parameters:
    `o` - the entity
  Returns:
    a label
  Throws:
    `OntowrapException`

### getEntityNames

    public Set<String> getEntityNames(Object o,
                                      String lang)
                               throws OntowrapException

  Description copied from interface: `LoadedOntology`
  returns all the names of an entity in a language if specified. otherwise, returns null

  Specified by:
    `getEntityNames` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`
  Parameters:
    `o` - the entity
    `lang` - the code of the language ("en", "fr", "es", etc.)
  Returns:
    the default name
  Throws:
    `OntowrapException`

### getEntityNames

    public Set<String> getEntityNames(Object o)
                               throws OntowrapException

  Description copied from interface: `LoadedOntology`
  Returns all the names a given entity (e.g., rdfs:labels in OWL/RDFS).

  Specified by:
    `getEntityNames` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`
  Parameters:
    `o` - the entity
  Returns:
    the set of labels
  Throws:
    `OntowrapException`

### getEntityComments

    public Set<String> getEntityComments(Object o,
                                         String lang)
                                  throws OntowrapException

  Description copied from interface: `LoadedOntology`
  Returns the values ofof textual properties (e.g., "rdfs:comment", rdfs:label in RDFS/OWL) for a given entity and for a given natural language (attribute xml:lang).

  Specified by:
    `getEntityComments` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`
  Parameters:
    `o` - the entity
    `lang` - the code of the language ("en", "fr", "es", etc.)
  Returns:
    the set of comments
  Throws:
    `OntowrapException`

### getEntityComments

    public Set<String> getEntityComments(Object o)
                                  throws OntowrapException

  Description copied from interface: `LoadedOntology`
  Returns all the values of textual properties (e.g., "rdfs:comment", rdfs:label in RDFS/OWL) for a given entity

  Specified by:
    `getEntityComments` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`
  Parameters:
    `o` - the entity
  Returns:
    the set of comments
  Throws:
    `OntowrapException`

### getAnnotations

    protected Set<String> getAnnotations(org.semanticweb.owl.model.OWLEntity e,
                                         String lang,
                                         String typeAnnot)
                                  throws org.semanticweb.owl.model.OWLException

  Throws:
    `org.semanticweb.owl.model.OWLException`

### getEntityAnnotations

    public Set<String> getEntityAnnotations(Object o)
                                     throws OntowrapException

  Description copied from interface: `LoadedOntology`
  Returns all the values of the "owl:AnnotationProperty" property for a given entity. These annotations are those predefined in owl (owl:versionInfo, rdfs:label, rdfs:comment, rdfs:seeAlso and rdfs:isDefinedBy) but also all other defined annotation properties which are subClass of "owl:AnnotationProperty"

  Specified by:
    `getEntityAnnotations` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`
  Parameters:
    `o` - the entity
  Returns:
    the set of annotation values
  Throws:
    `OntowrapException`

### getEntityAnnotations

    public Set<String> getEntityAnnotations(Object o,
                                            String lang)
                                     throws OntowrapException

  Description copied from interface: `LoadedOntology`
  Returns all the values of the "owl:AnnotationProperty" property for a given entity expressed in the required language. These annotations are those predefined in owl (owl:versionInfo, rdfs:label, rdfs:comment, rdfs:seeAlso and rdfs:isDefinedBy) but also all other defined annotation properties which are subClass of "owl:AnnotationProperty"

  Specified by:
    `getEntityAnnotations` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`
  Parameters:
    `o` - the entity
    `lang` - the code of the language ("en", "fr", "es", etc.)
  Returns:
    the set of annotation values
  Throws:
    `OntowrapException`

### isEntity

    public boolean isEntity(Object o)

  Specified by:
    `isEntity` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### isClass

    public boolean isClass(Object o)

  Specified by:
    `isClass` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### isProperty

    public boolean isProperty(Object o)

  Specified by:
    `isProperty` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### isDataProperty

    public boolean isDataProperty(Object o)

  Specified by:
    `isDataProperty` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### isObjectProperty

    public boolean isObjectProperty(Object o)

  Specified by:
    `isObjectProperty` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### isIndividual

    public boolean isIndividual(Object o)

  Specified by:
    `isIndividual` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### getEntities

    protected Set<?> getEntities(Class<? extends org.semanticweb.owl.model.OWLEntity> c)
                          throws org.semanticweb.owl.model.OWLException

  Throws:
    `org.semanticweb.owl.model.OWLException`

### getEntities

    public Set<?> getEntities()

  Description copied from interface: `LoadedOntology`
  Returns all named entities having URI beginning with the ontology URI

  Specified by:
    `getEntities` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`
  Returns:
    the set of entities

### getClasses

    public Set<?> getClasses()

  Specified by:
    `getClasses` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### getProperties

    public Set<?> getProperties()

  Specified by:
    `getProperties` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### getDataProperties

    public Set<?> getDataProperties()

  Specified by:
    `getDataProperties` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### getObjectProperties

    public Set<?> getObjectProperties()

  Specified by:
    `getObjectProperties` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### getIndividuals

    public Set<?> getIndividuals()

  Specified by:
    `getIndividuals` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### nbEntities

    public int nbEntities()

  Specified by:
    `nbEntities` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### nbClasses

    public int nbClasses()

  Specified by:
    `nbClasses` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### nbProperties

    public int nbProperties()

  Specified by:
    `nbProperties` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### nbObjectProperties

    public int nbObjectProperties()

  Specified by:
    `nbObjectProperties` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### nbDataProperties

    public int nbDataProperties()

  Specified by:
    `nbDataProperties` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### nbIndividuals

    public int nbIndividuals()

  Specified by:
    `nbIndividuals` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### unload

    public void unload()

  Specified by:
    `unload` in interface `LoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### getCapabilities

    public boolean getCapabilities(int Direct,
                                   int Asserted,
                                   int Named)

  Specified by:
    `getCapabilities` in interface `HeavyLoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### getSubClasses

    public Set<Object> getSubClasses(Object cl,
                                     int local,
                                     int asserted,
                                     int named)

  Specified by:
    `getSubClasses` in interface `HeavyLoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### getSuperClasses

    public Set<Object> getSuperClasses(Object cl,
                                       int local,
                                       int asserted,
                                       int named)

  Specified by:
    `getSuperClasses` in interface `HeavyLoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### getProperties

    public Set<Object> getProperties(Object cl,
                                     int local,
                                     int asserted,
                                     int named)

  Specified by:
    `getProperties` in interface `HeavyLoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### getDataProperties

    public Set<Object> getDataProperties(Object c,
                                         int local,
                                         int asserted,
                                         int named)

  Specified by:
    `getDataProperties` in interface `HeavyLoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### getObjectProperties

    public Set<Object> getObjectProperties(Object c,
                                           int local,
                                           int asserted,
                                           int named)

  Specified by:
    `getObjectProperties` in interface `HeavyLoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### getInstances

    public Set<Object> getInstances(Object cl,
                                    int local,
                                    int asserted,
                                    int named)

  Specified by:
    `getInstances` in interface `HeavyLoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### getSubProperties

    public Set<Object> getSubProperties(Object pr,
                                        int local,
                                        int asserted,
                                        int named)

  Specified by:
    `getSubProperties` in interface `HeavyLoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### getSuperProperties

    public Set<Object> getSuperProperties(Object pr,
                                          int local,
                                          int asserted,
                                          int named)

  Specified by:
    `getSuperProperties` in interface `HeavyLoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### getRange

    public Set<Object> getRange(Object p,
                                int asserted)

  Specified by:
    `getRange` in interface `HeavyLoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### getDomain

    public Set<Object> getDomain(Object p,
                                 int asserted)

  Specified by:
    `getDomain` in interface `HeavyLoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### getClasses

    public Set<Object> getClasses(Object i,
                                  int local,
                                  int asserted,
                                  int named)

  Specified by:
    `getClasses` in interface `HeavyLoadedOntology<org.semanticweb.owl.model.OWLOntology>`

### getCardinalityRestrictions

    public Set<Object> getCardinalityRestrictions(Object p)

  returns emptyset in case of error (e.g., if p is a property)

### getInheritedProperties

    private Set<Object> getInheritedProperties(org.semanticweb.owl.model.OWLClass cl)

  Inherits all properties of a class

### getProperties

    public void getProperties(org.semanticweb.owl.model.OWLDescription desc,
                              Set<Object> list)
                       throws org.semanticweb.owl.model.OWLException

  Throws:
    `org.semanticweb.owl.model.OWLException`

### getProperties

    public void getProperties(org.semanticweb.owl.model.OWLRestriction rest,
                              Set<Object> list)
                       throws org.semanticweb.owl.model.OWLException

  Throws:
    `org.semanticweb.owl.model.OWLException`

### getProperties

    public void getProperties(org.semanticweb.owl.model.OWLNaryBooleanDescription d,
                              Set<Object> list)
                       throws org.semanticweb.owl.model.OWLException

  Throws:
    `org.semanticweb.owl.model.OWLException`

### getProperties

    public void getProperties(org.semanticweb.owl.model.OWLClass cl,
                              Set<Object> list)
                       throws org.semanticweb.owl.model.OWLException

  Throws:
    `org.semanticweb.owl.model.OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010